package com.wecloud.im.biz.module.message.controller.param;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.wecloud.can.core.base.enums.BaseEnum;

/**
 *
 * @Author luozh
 * @Date 2022年04月27日 17:26
 * @Version 1.0
 */
public enum ChatSettingTypeEnum implements BaseEnum {

    /**
     * 1-置顶
     */
    TOP("TOP", "置顶"),
    /**
     * 2-消息免打扰
     */
    DO_NOT_DISTURB("DO_NOT_DISTURB", "消息免打扰"),
    ;


    ChatSettingTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @JsonValue
    @EnumValue
    private final String code;

    private final String desc;


    @Override
    public Integer getCode() {
        return null;
    }

    @Override
    public String getDesc() {
        return null;
    }
}
